# set terminal pngcairo  background "#ffffff" enhanced font "arial,9" fontscale 1.0 size 512, 384 
# set output 'transparent_solids.1.png'
set bar 1.000000 front
unset border
set style fill  transparent solid 0.30 border
set style circle radius graph 0.02, first 0.00000, 0.00000 
set style ellipse size graph 0.05, 0.03, first 0.00000 angle 0 units xy
set dummy u, v
unset key
set object  1 rect from screen 0, 0, 0 to screen 1, 1, 0
set object  1 behind clip lw 1.0  dashtype solid fc  rgb "gray"  fillstyle   solid 1.00 border lt -1
set style textbox transparent margins  1.0,  1.0 border
unset logscale
set parametric
set view 64, 345, 1.24375, 0.995902
set isosamples 50, 20
set style data lines
unset xtics
unset ytics
unset ztics
unset paxis 1 tics
unset paxis 2 tics
unset paxis 3 tics
unset paxis 4 tics
unset paxis 5 tics
unset paxis 6 tics
unset paxis 7 tics
set title "Interlocking Tori - PM3D surface with depth sorting and transparency" 
set urange [ -3.14159 : 3.14159 ] noreverse nowriteback
set vrange [ -3.14159 : 3.14159 ] noreverse nowriteback
set paxis 1 range [ * : * ] noreverse nowriteback
set paxis 2 range [ * : * ] noreverse nowriteback
set paxis 3 range [ * : * ] noreverse nowriteback
set paxis 4 range [ * : * ] noreverse nowriteback
set paxis 5 range [ * : * ] noreverse nowriteback
set paxis 6 range [ * : * ] noreverse nowriteback
set paxis 7 range [ * : * ] noreverse nowriteback
set pm3d depthorder
set pm3d interpolate 1,1 flush begin noftriangles border lt black linewidth 0.500 dashtype solid corners2color mean
set palette rgbformulae 8, 9, 7
set colorbox vertical origin screen 0.9, 0.2, 0 size screen 0.05, 0.6, 0 front  noinvert bdefault
splot cos(u)+.5*cos(u)*cos(v),sin(u)+.5*sin(u)*cos(v),.5*sin(v) with pm3d,     1+cos(u)+.5*cos(u)*cos(v),.5*sin(v),sin(u)+.5*sin(u)*cos(v) with pm3d
